import { BehaviorSubject, Observable } from 'rxjs';
/**
 * Subscribe to Observable
 */
export declare function useObservable<State = any>(obs$: Observable<State> | null | undefined, setState: (state: State) => any): void;
/**
 * Subscribe to Observable with useState included
 */
export declare function useObservableState<State = any>(obs$: Observable<State> | null | undefined, initialState: State): State;
export declare function useObservableState<State = any>(obs$: Observable<State> | null | undefined): State | null;
/**
 * Subscribe to BehaviorSubject
 */
export declare function useSubject<State = any>(sub$: BehaviorSubject<State> | null | undefined): State | null;
